function [t,y]=milne_simpson_verfahren(t_0,y_0,t_end,h,f,m_0);
% [t,y]=milne_simpson_verfahren(t_0,y_0,t_end,h,f);
%
% Programm loest die AWA
%    y'=f(t,y)   y(t_0)=y_0
% auf dem Intervall [t_0,t_end] mittels eine P(EC)^(m_0)E-Verfahren
%
% Als Praediktor wird Nystroem verwendet und als Korrektor Milne-Simpson.
% Fehlende Startwerte werden mittels des Runge-Kutta-Verfahrens berrechnet.
%
% input: 
%   t_0:    t-Startwert
%   y_0:    y-Startwert
%   t_end:  Intervallende
%   h:      Schrittweite
%   f:      function handle fuer die DGL-Function von der Form f(t,y)
%   m_0:    Anzahl Korrektor Schritte
%
% output:
%   t:      Vektor aller verwendeten t_i=t_0+(i-1)*h
%   y:      Vektor der alle Approximationen y_i an die Loesung y(t_i)


% Die folgenden Zeilen dienen nur dazu, dass das urspruengliche Programm
% keine Fehlermeldung ausgibt. Sie muessen bei der Ueberarbeitung 
% entfernt werden.

disp('Verfahren noch nicht ueberarbeitet!');
[t,y]=loesung(t_0,t_end,h);