clear all

quest={'Die Programme ';'   adams_bashforth_verfahren.m';'   nystroem_verfahren.m';'   adams_moulton_verfahren.m';'   milne_simpson_verfahren.m';'muessen angepasst werden.';'Weiter?'};
answer=questdlg(quest,'Achtung:','Ja','Nein','Ja');

if ~strcmp(answer,'Ja')
    clear quest answer
    break
end

t_0=0;
y_0=[1,0];
t_end=10;
f=@f_DGL;

for h=[0.1,0.01]
    [t_loes,y_loes]=loesung(t_0,t_end,h);
    [t_am_1,y_am_1]=adams_moulton_verfahren(t_0,y_0,t_end,h,f,1);
    [t_am_2,y_am_2]=adams_moulton_verfahren(t_0,y_0,t_end,h,f,2);
    [t_am_5,y_am_5]=adams_moulton_verfahren(t_0,y_0,t_end,h,f,5);
    [t_ab,y_ab]=adams_bashforth_verfahren(t_0,y_0,t_end,h,f);
    [t_ms_1,y_ms_1]=milne_simpson_verfahren(t_0,y_0,t_end,h,f,1);
    [t_ms_2,y_ms_2]=milne_simpson_verfahren(t_0,y_0,t_end,h,f,2);
    [t_ms_5,y_ms_5]=milne_simpson_verfahren(t_0,y_0,t_end,h,f,5);
    [t_ny,y_ny]=nystroem_verfahren(t_0,y_0,t_end,h,f);

    n=length(t_loes);
    error_ab=y_loes-y_ab;
    error_ny=y_loes-y_ny;
    error_am_1=y_loes-y_am_1;
    error_am_2=y_loes-y_am_2;
    error_am_5=y_loes-y_am_5;
    error_ms_1=y_loes-y_ms_1;
    error_ms_2=y_loes-y_ms_2;
    error_ms_5=y_loes-y_ms_5;
    for i=1:n
        norm_ab(i)=norm(error_ab(:,i));
        norm_ny(i)=norm(error_ny(:,i));
        norm_am_1(i)=norm(error_am_1(:,i));
        norm_am_2(i)=norm(error_am_2(:,i));
        norm_am_5(i)=norm(error_am_5(:,i));
        norm_ms_1(i)=norm(error_ms_1(:,i));
        norm_ms_2(i)=norm(error_ms_2(:,i));
        norm_ms_5(i)=norm(error_ms_5(:,i));
    end

    h_fig=figure;
    set(h_fig,'Name',['Fehlernorm h=',num2str(h)],'NumberTitle','off')
    plot(t_ab,norm_ab,'r',t_am_1,norm_am_1,'r--',t_am_2,norm_am_2,'r-.',t_am_5,norm_am_5,'r:');
    set(gca,'YScale','log');
    title('Logarithmischer Fehler')
    legend('Adams-Bashforth','Adams-Moulton m_0 = 1','Adams-Moulton m_0 = 2','Adams-Moulton m_0 = 5','Location','BestOutside');
    
    h_fig=figure;
    set(h_fig,'Name',['Fehlernorm h=',num2str(h)],'NumberTitle','off')
    plot(t_ny,norm_ny,'b',t_ms_1,norm_ms_1,'b--',t_ms_2,norm_ms_2,'b-.',t_ms_5,norm_ms_5,'b:');
    set(gca,'YScale','log');
    title('Logarithmischer Fehler')
    legend('Nystroem','Milne-Simpson m_0 = 1','Milne-Simpson m_0 = 2','Milne-Simpson m_0 = 5','Location','BestOutside');


end